Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.artenum.jyconsole
Class HistoryManager

    java.lang.Object
      com.artenum.jyconsole.HistoryManager

    public class HistoryManager

extends java.lang.Object

     Project ref           : JyConsole project
     Copyright and license : See relevant sections
     Status                : under development
     Creation              : 04/03/2005
     Modification          :

     Description  : Keep track of the command history.

Version number | Author (name, e-mail) | Corrections/Modifications
0.1 | Sebastien Jourdain, jourdain@artenum.com | Creation

Version:
  0.1
Author:
  Sebastien Jourdain

Constructor Summary
`HistoryManager(JyConsole console)`

Method Summary
`void` | `addCommandInHistory(java.lang.String command)`
`boolean` | `isInHistory()`
`boolean` | `isInRange()`
`void` | `showNextCommand()`
`void` | `showPreviousCommand()`
`void` | `startHistoryNavigation()`
`void` | `stopHistoryNavigation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryManager

    public HistoryManager(JyConsole console)

Method Detail

### addCommandInHistory

    public void addCommandInHistory(java.lang.String command)

### showPreviousCommand

    public void showPreviousCommand()

### showNextCommand

    public void showNextCommand()

### startHistoryNavigation

    public void startHistoryNavigation()

### stopHistoryNavigation

    public void stopHistoryNavigation()

### isInHistory

    public boolean isInHistory()

### isInRange

    public boolean isInRange()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

     (c) Copyright: Artenum SARL, 101-103 Boulevard Mac Donald,
                    75019, Paris, France 2005.
                    http://www.artenum.com

     License:

      This program is free software; you can redistribute it
      and/or modify it under the terms of the Q Public License;
      either version 1 of the License.

      This program is distributed in the hope that it will be
      useful, but WITHOUT ANY WARRANTY; without even the implied
      warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
      PURPOSE. See the Q Public License for more details.

      You should have received a copy of the Q Public License
      License along with this program;
      if not, write to:
        Artenum SARL, 101-103 Boulevard Mac Donald,
        75019, PARIS, FRANCE, e-mail: contact@artenum.com